Subject: 26.1; mhtml-mode fails to capture font-lock-keywords-case-fold-search

From: Leo Liu <[email-masked]>
Date: Mon, 31 Dec 2018 23:13:39 +0800

In mhtml-mode moving into <script>...</script> doesn't set up
font-lock-keywords-case-fold-search properly, which still has the value
carried over from html-mode.

The reason is font-lock doesn't make font-lock-keywords-case-fold-search
buffer-local when its value is nil thus it is skipped by
mhtml--construct-submode.